Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Sixt <johannes.sixt@telecom.at>2007-11-13 23:04:59 +0300
committerJunio C Hamano <gitster@pobox.com>2007-11-15 02:18:39 +0300
commit25482a3c0cc127fc5065552fe09e4709f32a2701 (patch)
tree3379b4f9cccc875138ead80604a7935a8b556f88 /t/t3902-quoted.sh
parent8ed2fca458d085f12c3c6808ef4ddab6aa40ef14 (diff)
Skip t3902-quoted.sh if the file system does not support funny names.
Signed-off-by: Johannes Sixt <johannes.sixt@telecom.at> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 't/t3902-quoted.sh')
-rwxr-xr-xt/t3902-quoted.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 245fb3babd..73da45f18c 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -20,6 +20,13 @@ LF='
'
DQ='"'
+echo foo > "Name and an${HT}HT"
+test -f "Name and an${HT}HT" || {
+ # since FAT/NTFS does not allow tabs in filenames, skip this test
+ say 'Your filesystem does not allow tabs in filenames, test skipped.'
+ test_done
+}
+
for_each_name () {
for name in \
Name "Name and a${LF}LF" "Name and an${HT}HT" "Name${DQ}" \